module Config.Pages.Contact.Types exposing (..)

import Route.Path as Path


type alias Contact =
    { contactName : String
    , contactImage : String
    , contactLink : String
    , contactDescription : String
    , isNewTabLink : Bool
    }


type alias Method =
    { contactInstructions : String
    }


contactInquiry : Contact
contactInquiry =
    { contactName = "General Inquiry"
    , contactImage = "email"
    , contactDescription = ""
    , contactLink = Path.toString Path.Contact_Inquiry
    , isNewTabLink = True
    }


contactCriticism : Contact
contactCriticism =
    { contactName = "Criticism"
    , contactImage = "discord"
    , contactDescription = ""
    , contactLink = Path.toString Path.Contact_Criticism
    , isNewTabLink = True
    }


contactMain : Contact
contactMain =
    { contactName = "Contact"
    , contactImage = ""
    , contactDescription = ""
    , contactLink = ""
    , isNewTabLink = False
    }
